RIPEMD160 Class Reference

RIPEMD-160 message digest. More...

Inheritance diagram for RIPEMD160:

## Static Public Member Functions

static void | InitState (HashWordType *state)
static void | Transform (word32 *digest, const word32 *data)
static const char * | StaticAlgorithmName ()

## Additional Inherited Members

Public Member Functions inherited from IteratedHashWithStaticTransform< word32, LittleEndian, 64, 20, RIPEMD160 >
unsigned int | DigestSize () const
| Provides the digest size of the hash. More...
Public Member Functions inherited from ClonableImpl< DERIVED, BASE >
Clonable * | Clone () const
| Create a copy of this object. More...
Static Public Attributes inherited from IteratedHashWithStaticTransform< word32, LittleEndian, 64, 20, RIPEMD160 >
static const int | DIGESTSIZE

## Detailed Description

RIPEMD-160 message digest.

Digest size is 160-bits.

See also
  RIPEMD-160

Since
  Crypto++ 2.1

Definition at line 17 of file ripemd.h.

The documentation for this class was generated from the following files:

- ripemd.h
- ripemd.cpp